python-enchant_1.6.6-2_all.deb


Advertisement

Description

python-enchant - spellchecking library for Python

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-enchant
Package version: 1.6.6
Package release: 2
Package architecture: all
Package type: deb
Installed size: 244 B
Download size: 42.08 KB
Official Mirror: archive.ubuntu.com
PyEnchant consists of Python bindings to the Enchant spellchecking library and some wrapper classes. It includes all the functionality of Enchant in a Pythonic object-oriented interface, and also provides some higher-level functionality which is not available in the C API.

Alternatives

    Download

    Source package: pyenchant

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-enchant deb package:
      # sudo apt-get install python-enchant

    Files

    • /usr/lib/python2.7/dist-packages/enchant/__init__.py
    • /usr/lib/python2.7/dist-packages/enchant/_enchant.py
    • /usr/lib/python2.7/dist-packages/enchant/errors.py
    • /usr/lib/python2.7/dist-packages/enchant/pypwl.py
    • /usr/lib/python2.7/dist-packages/enchant/tests.py
    • /usr/lib/python2.7/dist-packages/enchant/utils.py
    • /usr/lib/python2.7/dist-packages/enchant/checker/CmdLineChecker.py
    • /usr/lib/python2.7/dist-packages/enchant/checker/GtkSpellCheckerDialog.py
    • /usr/lib/python2.7/dist-packages/enchant/checker/__init__.py
    • /usr/lib/python2.7/dist-packages/enchant/checker/tests.py
    • /usr/lib/python2.7/dist-packages/enchant/checker/wxSpellCheckerDialog.py
    • /usr/lib/python2.7/dist-packages/enchant/tokenize/__init__.py
    • /usr/lib/python2.7/dist-packages/enchant/tokenize/en.py
    • /usr/lib/python2.7/dist-packages/enchant/tokenize/tests.py
    • /usr/lib/python2.7/dist-packages/pyenchant-1.6.6.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pyenchant-1.6.6.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pyenchant-1.6.6.egg-info/eager_resources.txt
    • /usr/lib/python2.7/dist-packages/pyenchant-1.6.6.egg-info/top_level.txt
    • /usr/share/doc/python-enchant/README.txt
    • /usr/share/doc/python-enchant/changelog.Debian.gz
    • /usr/share/doc/python-enchant/copyright

    Changelog

    2014-09-15 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.6.6-2) unstable; urgency=medium [ Olly Betts ] * Update for wxPython 3.0 (Closes: #759075): - New patch: wxpython3.0.patch * Drop alternative dependency on long gone python-wxgtk2.6. (Closes: #645894) [ Piotr Ożarowski ] * Use default compression for data tarball again

    2014-06-16 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.6.6-1) unstable; urgency=medium [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Piotr Ożarowski ] * New upstream release - prioritizes enchant libraries with tested SONAME (closes: 653402) - disable_ez_setup patch no longer needed (ez_setup is now imported only if setuptools is missing) * Add dh-python to Build-Depends * Homepage updated * Standards-Version bumped to 3.9.5 (no changes needed)

    2011-07-20 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.6.5-2) unstable; urgency=low * Upload to unstable * Add build-arch and build-indep targets in debian/rules * Standards-Version bumped to 3.9.2 (no changes needed)

    2011-01-15 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.6.5-1) experimental; urgency=low * New upstream release * New binary package: python3-enchant * Covert to dh_python2 * Source format changed to 3.0 (quilt)

    2010-08-18 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.6.3-1) experimental; urgency=low * New upstream release * debian/watch is checking pypi.python.org now * Drop Conflicts/Provides: python2.4-enchant (no longer needed) * Standards-Version bumped to 3.9.1 (no changes needed)

    2010-01-09 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.5.3-2) unstable; urgency=low * Drop python-ctypes dependency and bump minimum required Python version to 2.5 (closes: #562478) * Standards-Version bumped to 3.8.3 (no changes needed)

    2009-05-03 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.5.3-1) unstable; urgency=low * New upstream release

    2009-04-26 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.5.2-1) unstable; urgency=low * New upstream release * Switch to python-support + add preinst to remove pycentral files * Change Debian packaging license to LGPL (to match upstream) * Standards-Version bumped to 3.8.1 (no changes needed) * Upload to unstable

    2009-01-08 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.5.1-1) experimental; urgency=low * New upstream release (upload to experimental due to Lenny freeze, to ease testing rev. dependencies)

    2008-11-25 - Piotr Ożarowski <piotr@debian.org> pyenchant (1.5.0-1) experimental; urgency=low [ Piotr Ożarowski ] * New upstream release (upload to experimental due to Lenny freeze, to ease testing rev. dependencies) * Architecture changed to all + python-ctypes added to Depends + ${shlibs:Depends} generated in debian/rules (i.e. not via debhelper) * Drop not really needed fix_import_path patch * Compress binary package with bzip2 [ Sandro Tosi ] * Switch Vcs-Browser field to viewsvn

    Advertisement
    Advertisement